#ifndef FILES_H
#define FILES_H

#ifndef SERVER_H
#include "server.h"
#endif

#ifndef FILELIST_H
#include "filelist.h"
#endif

#ifndef GUIUTILS_H
#include "guiutils.h"
#endif

void check_files(Connection *c);
void show_files(Connection *c);
char *files_get_path(FileList *fl);
void fileentry_get_icon(FileEntry *fe,GdkPixmap **icon,GdkPixmap **mask);

typedef struct {
  Connection *c;
  NotebookPage *notebook_page;
  Task *task;
  GHashTable *remote_cache;
  FileList *remote_files;
  FileList *local_files;
} FileData;


#endif
