#ifndef THREAD_H
#define THREAD_H

#include <pthread.h>
#include <glib.h>

typedef struct {
  pthread_t pthread;
} Thread;

gboolean newThread(Thread *t,
		   void (*startFunc)(gpointer),
		   void (*endFunc)(gpointer),
		   gpointer data);

void killThread(Thread *t);

#endif
